> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# コネクタ設定のエクスポート

> コネクタ設定をエクスポートします。



## OpenAPI

````yaml 26.3/self-hosted/ja/api-reference/openapi.json POST /export
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /export:
    post:
      tags:
        - export
      summary: コネクタ設定のエクスポート
      description: コネクタ設定をエクスポートします。
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/export_input'
      responses:
        '200':
          description: アクションの結果。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/export_output'
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    export_input:
      type: object
      properties:
        WorkspaceId:
          type: string
          description: エクスポートするワークスペースのID。指定しない場合は default になります。
        ConnectorId#:
          type: string
          description: >-
            エクスポートするコネクタのID。指定しない場合は、すべてのコネクタがエクスポートされます。指定したワークスペースにコネクタが存在しない場合は、エラーがスローされます。 
        FlowAPI#:
          type: string
          description: 'フローAPIのID。 '
        IncludeProfile:
          type: string
          description: プロファイル関連の設定をエクスポートする arcflow に含めるかどうか。
        FlowPassword:
          type: string
          description: 機密値を暗号化するためのパスワード。
        GlobalSettings:
          type: string
          description: >-
            エクスポートに含めるグローバル設定。以下の値の1つ以上をカンマ区切りの文字列で指定できます。または、特別な値 'ALL'
            を使用してすべてのグローバル設定をエクスポートできます。値：Partners、Documents、Users、Roles、Certificates、Connections、Vaults、Reports、Alerts、Advanced、AdminAPI、SSO。
        ProfileSettings:
          type: string
          description: >-
            エクスポートに含めるプロファイル。以下の値の1つ以上をカンマ区切りの文字列で指定できます。特別な値 'MATCHING'
            を使用すると、エクスポートに含まれるコネクタに一致するプロファイルをエクスポートできます。値：AS2、AS4、GISB、RosettaNet、FTPServer、SFTPServer、HL7MLLP、OFTP。
    export_output:
      type: array
      items:
        type: object
        properties:
          Arcflow:
            type: string
            description: エクスポートされた arcflow のbase64エンコードされたコンテンツ。
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````